#!/usr/bin/python

# URL: https://hackvent.hacking-lab.com/Pirates_123/

s = '::)"<.vd]!&a{":r>Qyh 7';

length = len(s)
f='HV18-';

# indizes: 4, 9, 14, 19
# xxxx-xxxx-xxxx-xxxx
# correctKey = "1xxx1xxx"
correctKey = "00000000"
for i in range(4):
    pos = 4 + i*5
    key = ord(s[pos]) ^ ord('-')
    correctKey += "%02d" % key
    correctKey += "00000000"

    # if len(correctKey) % 4 == 0:
    #     correctKey += "1xxx1xxx"
    # else:
    #     correctKey += "xx1xxx1x"

for i in range(length):
    a = ord(s[i])
    b = int(correctKey[i*2:i*2+2])
    f += chr(a ^ b)

upperBytes = ["15", "17"]
lowerBytes = ["12", "84"]

data = [correctKey[i:i+4] for i in range(0, len(correctKey), 4)]
print(data)
print(correctKey)
print(f.encode("utf-8"))

js = ""
for i in range(len(data)):
    js += "document.getElementById('pirate%02d').value='%s';\n" % (i + 1, data[i])
print(js)


# Barbados: 1717, 1718
# https://www.the-pirate-ship.com/majorstedebonnett

# Jamaica: 1688, (1674), 1721
# https://www.the-pirate-ship.com/sirhenrymorgan
# https://www.the-pirate-ship.com/maryread

# Tortuga: (1635, 1668, 1660)
# https://www.the-pirate-ship.com/L_Olonnais


# 000000001700008400121500000015001700008400000000
#
